server {
    listen 443 ssl;

    server_name maas;

    include /etc/nginx/snippets/snakeoil.conf;
    include /etc/nginx/snippets/ssl.conf;

    location / {
        proxy_pass http://{{ hostname }}:5240;
        include /etc/nginx/proxy_params;
    }

    location /MAAS/ws {
        proxy_pass http://{{ hostname }}:5240/MAAS/ws;
        include /etc/nginx/snippets/proxy.conf;
    }
}